react-native模拟器,adb联接逍遥android5.1
博客专区 > 小翔 的博客 > 博客详情
react-native模拟器,adb联接逍遥android5.1
小翔 发表于10个月前
react-native模拟器,adb联接逍遥android5.1
  • 发表于 10个月前
  • 阅读 54
  • 收藏 0
  • 点赞 0
  • 评论 0

新睿云服务器60天免费使用,快来体验!>>>   

摘要: react-native使用模拟器时,需要的android版本必须是5+以上的,而现有的几个国内好用的模拟器都是android4.4,在逍遥安桌的论坛看到了有android5.1可以下就拿来用下了

1.现在的逍遥安桌的android版本是4.4,先下载正常的安装包后,再到论坛下载5.1的更新包。装完安装包后运行更新包。

2.查看现有的环境中的adb使用的版本。版本在1.0.31好像是不支持的,在任务管理器查看adb运行行右键查看命令所在文件位置,要把adb命令不符的删掉。再在path中引入最新的adb工具包(这部很重要,不然很可能adb到模拟器是device的,一运行react-native时就offline了)。(一般可能在c盘运行目录有个adb还有逍遥安桌自带有个adb,如果装了hbuilder也会有adb,我用的是android sdk-platform-tools的adb)

3.react-android就可以运行了。第二步坑了我好久。

  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 10
博文 33
码字总数 19780
×
小翔
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: